mfsdiagtools(1)

NAME
mfsdiagtools - MooseFS diagnostic tools

SYNOPSIS
mfscheckfile FILE...

mfsfilerepair [-n|-h|-H|-k|-m|-g] FILE...

mfsfileinfo FILE...

mfsdirinfo [-n|-h|-H|-k|-m|-g] [-i|-d|-f|-c|-l|-s|-r] [-p] OBJECT...

mfsfilepaths OBJECT|INODE...

DESCRIPTION
mfscheckfile checks and prints number of chunks and number of chunk copies belonging to specified file(s). It can be used on any file, included deleted (trash).

mfsfilerepair deals with broken files (those which cause I/O errors on read operations) to make them partially readable. In case of missing chunk it fills missing parts of file with zeros; in case of chunk version mismatch it sets chunk version known to mfsmaster to highest one found on chunkservers. Note: because in the second case content mismatch can occur in chunks with the same version, it is advised to make a copy (not a snapshot!) and delete original file after "repairing".

mfsfileinfo prints location (chunkserver host and port) of each chunk copy belonging to specified file(s). It can be used on any file, included deleted (trash).

mfsdirinfo is extended, MooseFS-specific equivalent of du -s command. It prints summary for each specified object (single file or directory tree). If you only want to see one parameter, then add one of show options (see SHOW OPTIONS). By default it returns data from internal master counters (very fast, but not precise). All repeated nodes (hard links) and chunks (snapshots) are counted multiple times. To count stats more preciselly you can use -p switch which turns on slow, recursive procedure. In this mode nodes and chunks are counted only once and the system uses current number of chunk copies instead of goal/labels. System administrators might consider using mfsmetadirinfo (see mfsmetadirinfo(8)).

mfsfilepaths tool can be used to find all occurrences (hard links) of given file in filesystem. It can also be used to find a file with given i-node number. In case of searching for i-node number, the tool has to be run in mfs mounted directory.

GENERAL OPTIONS
Most of mfstools use -n, -h, -H, -k, -m and -g options to select format of printed numbers. -n causes to print exact numbers, -h uses binary prefixes (Ki, Mi, Gi as 2^10, 2^20 etc.) while -H uses SI prefixes (k, M, G as 10^3, 10^6 etc.). -k, -m and -g show plain numbers respectivaly in kibis (binary kilo - 1024), mebis (binary mega - 1024^2) and gibis (binary giga - 1024^3). The same can be achieved by setting MFSHRFORMAT environment variable to: 0 (exact numbers), 1 or h (binary prefixes), 2 or H (SI prefixes), 3 or h+ (exact numbers and binary prefixes), 4 or H+ (exact numbers and SI prefixes). The default is to print just exact numbers.

SHOW OPTIONS

-i  show number of inodes

-d  show number of directories

-f  show number of files

-c  show number of chunks

-l  show length

-s  show size

-r  show realsize

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2023 Jakub Kruszona-Zawadzki, Saglabs SA This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmount(8), mfstools(1), mfsmetadirinfo(8)